Ext.namespace("SYNO.SDS.TeamViewer.Lang");
Ext.namespace("SYNO.SDS.TeamViewer.Utils");

Ext.apply(SYNO.SDS.TeamViewer.Utils, function(){
	return{
		getMainHtml: function(){
			// Timestamp must be inserted here to prevent caching of iFrame
			return '<iframe src="webman/3rdparty/TeamViewer/index.html?_ts=' + new Date().getTime() + '" title="react-app" style="width: 100%; height: 100%; border: none; margin: 0"/>';
		},
	}
}());

Ext.define("SYNO.SDS.TeamViewer.Application", {
	extend: "SYNO.SDS.AppInstance",
	appWindowName: "SYNO.SDS.TeamViewer.MainWindow",
	constructor: function(){
		this.callParent(arguments);
	}
});
 
Ext.define("SYNO.SDS.TeamViewer.MainWindow", {
	extend: "SYNO.SDS.AppWindow",
	constructor : function(a){
		var TV = SYNO.SDS.TeamViewer;
		this.appInstance = a.appInstance;
		TV.MainWindow.superclass.constructor.call(this, Ext.apply({
			layout : "fit",
			resizable : false,
			cls: "syno-tv-win",
			maximizable : false,
			minimizable : true,
			width : 450,
			height : _S('majorversion') === "6" ? 523 : 529,
			html: TV.Utils.getMainHtml()
		}, a));
		TV.Utils.ApplicationWindow = this;
	},

	onOpen : function(){
		SYNO.SDS.TeamViewer.MainWindow.superclass.onOpen.apply(this, arguments);
	},

	onRequest : function(a){
		SYNO.SDS.TeamViewer.MainWindow.superclass.onRequest.call(this, a);
	},

	onClose : function(){
		clearTimeout(SYNO.SDS.TeamViewer.TimeOutID);
		SYNO.SDS.TeamViewer.TimeOutID = undefined;
		SYNO.SDS.TeamViewer.MainWindow.superclass.onClose.apply(this, arguments);
		this.doClose();
		return true;
	}
});